CREATE TABLE fnd_objects_ (
    ENTERPRISE_ID                NUMBER(18, 0) ,
    SANDBOX_ID                   VARCHAR2(256) ,
    OBJECT_ID                    NUMBER(18, 0) ,
    OBJ_NAME                     VARCHAR2(320) ,
    MODULE_ID                    VARCHAR2(128) ,
    DATABASE_OBJECT_NAME         VARCHAR2(120) ,
    PK1_COLUMN_NAME              VARCHAR2(240) ,
    PK2_COLUMN_NAME              VARCHAR2(240) ,
    PK3_COLUMN_NAME              VARCHAR2(240) ,
    PK4_COLUMN_NAME              VARCHAR2(240) ,
    PK5_COLUMN_NAME              VARCHAR2(240) ,
    PK1_COLUMN_TYPE              VARCHAR2(32)  ,
    PK2_COLUMN_TYPE              VARCHAR2(32)  ,
    PK3_COLUMN_TYPE              VARCHAR2(32)  ,
    PK4_COLUMN_TYPE              VARCHAR2(32)  ,
    PK5_COLUMN_TYPE              VARCHAR2(32)  ,
    CREATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_TYPE                  VARCHAR2(320) ,
    OBJECT_STRIPE_CONDITION      VARCHAR2(4000),
    OBJECT_TAG                   VARCHAR2(320) ,
    FILTER_COLUMN_LIST           VARCHAR2(4000),
    FUNCTION_SECURITY_ENABLED    VARCHAR2(4)   ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ENTERPRISE_ID                NUMBER(18, 0) ,
    SANDBOX_ID                   VARCHAR2(256) ,
    OBJECT_ID                    NUMBER(18, 0) ,
    OBJ_NAME                     VARCHAR2(320) ,
    MODULE_ID                    VARCHAR2(128) ,
    DATABASE_OBJECT_NAME         VARCHAR2(120) ,
    PK1_COLUMN_NAME              VARCHAR2(240) ,
    PK2_COLUMN_NAME              VARCHAR2(240) ,
    PK3_COLUMN_NAME              VARCHAR2(240) ,
    PK4_COLUMN_NAME              VARCHAR2(240) ,
    PK5_COLUMN_NAME              VARCHAR2(240) ,
    PK1_COLUMN_TYPE              VARCHAR2(32)  ,
    PK2_COLUMN_TYPE              VARCHAR2(32)  ,
    PK3_COLUMN_TYPE              VARCHAR2(32)  ,
    PK4_COLUMN_TYPE              VARCHAR2(32)  ,
    PK5_COLUMN_TYPE              VARCHAR2(32)  ,
    CREATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    OBJECT_TYPE                  VARCHAR2(320) ,
    OBJECT_STRIPE_CONDITION      VARCHAR2(4000),
    OBJECT_TAG                   VARCHAR2(320) ,
    FILTER_COLUMN_LIST           VARCHAR2(4000),
    FUNCTION_SECURITY_ENABLED    VARCHAR2(4)   ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    SEED_DATA_SOURCE             VARCHAR2(2048),
    CONSTRAINT pk_fnd_objects_ PRIMARY KEY (ENTERPRISE_ID, SANDBOX_ID, OBJECT_ID, LAST_UPDATE_DATE, ENTERPRISE_ID, SANDBOX_ID, OBJECT_ID, LAST_UPDATE_DATE)
);
